com.amazonaws.codegen.model.intermediate

## Class EnumModel

- java.lang.Object
- - com.amazonaws.codegen.model.intermediate.EnumModel

    public class EnumModel
    extends Object

Represents a single enum field in a enum.

### Constructor Summary

Constructors
Constructor and Description
`EnumModel(String name, String value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`String` `getValue()`
`void` `setName(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EnumModel

    public EnumModel(String name,
                     String value)

### Method Detail

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### getValue

    public String getValue()